﻿$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = 'http://downloads.bluetooth.com/tools/PTS/7.6.1/pts_setup_7_6_1.exe'
  softwareName  = 'bluetooth-pts*'
  checksum      = 'F731F641355A39BFB64E8AA3C2BCDD712820377763A0EB0AB61534B2E9DB3B98'
  checksumType  = 'sha256'
  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}
Install-ChocolateyPackage @packageArgs
